Summary: Still unable to get pys60 2.0.0 running on the N73.  Decided to revert to pys60 1.9.6 which runs on my n73.

Here is my trail:

Follow my forum thread here:

http://discussion.forum.nokia.com/forum/showthread.php?p=723080#post723080 

Trying to do a fresh install of Python 2.0.0 on my Nokia N73 with latest firmware …..

as of March 2010.

Downloaded and installed PythonForS60_2.0.0_Setup.exe from
https://garage.maemo.org/frs/?group_id=854 

Downloaded the updated dependencies to fix the certificate error…

Copying everything to the phone and installing. 

pips.sis
ssl.sis
stdioserver.sis
Python_2.0.0.sis
PythonScriptShell_2.0.0_high_capas.sis

All installed successfully.  No problems in that order.

Trying to open Python 2.0.0 ( this is referred to as the shell )  in the applications menu of the phone:

"Check if the following components are installed:
Python Runtime
PIPS Library"

Trying to install these other shells:
PythonScriptShell_2.0.0_3_2.sis
PythonScriptShell_2.0.0_3_2.sis

They install fine… however I received the same error message when I try to run them.

Out of ideas… I’m having problems getting python 2.0.0 running on my n73! You might also google for: n73 Python 2 problems, troubleshooting, help.

April 8th 2010… picking this up again at http://www.ipmart-forum.com/archive/index.php/t-449716.html

Trying to get pys60 1.9.6 running instead so downloaded PythonForS60_1.9.6.exe, uninstalled python 2.0, installed:

pips.sisx
PythonScriptShell_1.9.6_3_0.sis
Python_1.9.6_fixed.sis
ssl_nokia_1_5_1.SIS
stdioserver_nokia_1_5_1_SS.sis

Everything installed without problems. The shell runs fine. My third-party Python applications run as well.